// Copyright (c) 2014 Manuel Weiel
// http://manuel.weiel.eu

function runWithString(argument)
{
    if (Action.preferences.language == null)
	Action.preferences.language = "en";
	// this is no official api. This could stop working any time...
    var result = HTTP.getJSON('https://dict.leo.org/dictQuery/m-query/conf/'+Action.preferences.language+'de/query.conf/strlist.json?sort=PLa&shortQuery&noDescription&term=&q=' + encodeURIComponent(argument), 3);

    if (result == undefined) {
        LaunchBar.log('HTTP.getJSON() returned undefined');
        return [];
    }
    if (result.error != undefined) {
        LaunchBar.log('Error in HTTP request: ' + result.error);
        return [];
    }

	LaunchBar.log(result.data[1][0]);

    try {
        var suggestions = [];
		var i = 0;
        for (i = 0; i < result.data[1].length; i++) {
			var suggestion = result.data[1][i];
            suggestions.push({
                             'title' : suggestion,
                             'icon' : 'icon.png'
                             });
        }
        return suggestions;
    } catch (exception) {
        LaunchBar.log('Exception while parsing result: ' + exception);
        return [];
    }
}
